//---------------------------------------------------------------------------
#ifndef defsH
#define defsH

#include <sys/types.h>
#include <regex.h>

#include "../mimer/data.h"

#define MIMER_VERSION   "Mimer v.3.12 by \"Lev Melnikovsky\" <leva@kapitza.ras.ru>\n"
#define MIMER_SIGNATURE "DaTaBlOcK_3.1"

#define LINE_SIZE       0x4000 //0x80
#define BUF_MIN         (LINE_SIZE*2)
#define BUF_MAX         0x40000

#define     Usage                       0
#define     CantOpenOutput              1
#define     NoFreeName                  2
#define	    CantRename                  3
#define	    ReadFailed                  4
#define     OpenFailed                  5
#define     NoMemory                    6
#define     UnlinkFail                  7
#define     MutexBusy                   8
#define     CantSaveTask                9
#define     CantReadTask                10
#define     BadRegEx			11

#define     LoMevin                     100

extern	patch		data;
extern	regex_t		charset_regex;

void MyError(int , char* = 0 , char* = 0);

void __dpmi_begin_critical_section(void);
void __dpmi_end_critical_section(void);

#endif
